### Class

# Gtk SortListModel

#### Description [src]

    final class Gtk.SortListModel : GObject.Object {
      /* No available fields */
    }

A `GListModel` that sorts the elements of an underlying model according to a `GtkSorter`.

The model can be set up to do incremental sorting, so that sorting long lists doesn’t block the UI. See gtk_sort_list_model_set_incremental() for details.

`GtkSortListModel` is a generic model and because of that it cannot take advantage of any external knowledge when sorting. If you run into performance issues with `GtkSortListModel`, it is strongly recommended that you write your own sorting list model.

#### Hierarchy

#### Ancestors

- GObject

#### Implements

- GListModel

#### Constructors

###### gtk_sort_list_model_new

Creates a new sort list model that uses the `sorter` to sort `model`.

#### Instance methods

###### gtk_sort_list_model_get_incremental

Returns whether incremental sorting is enabled.

###### gtk_sort_list_model_get_model

Gets the model currently sorted or `NULL` if none.

###### gtk_sort_list_model_get_pending

Estimates progress of an ongoing sorting operation.

###### gtk_sort_list_model_get_sorter

Gets the sorter that is used to sort `self`.

###### gtk_sort_list_model_set_incremental

Sets the sort model to do an incremental sort.

###### gtk_sort_list_model_set_model

Sets the model to be sorted.

###### gtk_sort_list_model_set_sorter

Sets a new sorter on `self`.

#### Properties

###### Gtk.SortListModel:incremental

If the model should sort items incrementally.

###### Gtk.SortListModel:model

The model being sorted.

###### Gtk.SortListModel:pending

Estimate of unsorted items remaining.

###### Gtk.SortListModel:sorter

The sorter for this model.

#### Class structure

    struct GtkSortListModelClass {
      GObjectClass parent_class;

    }

###### Class members

`parent_class` |
    GObjectClass
| No description available.